extends TextureRect

@export var unit_name: StringName = ''


func _ready() -> void:
    var unit_instance = network.get_unit_instance(unit_name)
    unit_instance.connect('line_changed', on_line_changed)


func on_line_changed(unit_instance: unit.Unit):
    $panel_pribor.set_val(unit_instance.online)
